Source: libqapt
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Floris-Andrei Stoica-Marcu <floris.sm@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
           José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.14),
               libapt-pkg-dev (>= 0.8.0),
               libdebconf-kde-dev (>= 1.0.0),
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5auth-dev (>= 5.0.0),
               libkf5coreaddons-dev (>= 5.0.0),
               libkf5i18n-dev (>= 5.0.0),
               libkf5iconthemes-dev (>= 5.0.0),
               libkf5kio-dev (>= 5.0.0),
               libkf5plasma-dev,
               libkf5runner-dev (>= 5.0.0),
               libkf5textwidgets-dev (>= 5.0.0),
               libkf5widgetsaddons-dev (>= 5.0.0),
               libkf5windowsystem-dev (>= 5.0.0),
               libpolkit-qt5-1-dev (>= 0.112),
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://cgit.kde.org/libqapt.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libqapt

Package: libqapt3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: apt-xapian-index, libqapt3-runtime (= ${binary:Version})
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libapt-pkg-dev,
         libqapt3 (= ${binary:Version}),
         qtbase5-dev (>= 5.2.0),
         ${misc:Depends}
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt3-runtime
Architecture: any
Depends: polkit-kde-agent-1 | policykit-1-gnome,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-utils
Architecture: all
Depends: kde-thumbnailer-deb (>= ${source:Version}),
         plasma-runner-installer (>= ${source:Version}),
         qapt-batch (>= ${source:Version}),
         qapt-deb-installer (>= ${source:Version}),
         ${misc:Depends}
Recommends: gstreamer-qapt
Description: complete collection of QApt package management utilities
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This is a metapackage depending on all of QApt's extra package management
 utilities.

Package: qapt-batch
Architecture: any
Depends: libqapt3-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Batch package manager for KDE
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-deb-installer
Architecture: any
Depends: libqapt3-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool for installing deb files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 The QApt deb installer allows you to install local .deb files. The QApt Deb
 Installer resolves and downloads dependencies. The APT package manager does
 the same, but only for remote packages.

Package: plasma-runner-installer
Architecture: any
Depends: qapt-batch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: command-not-found
Description: KRunner plugin for installing packages
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This KRunner plugin offers the option to install an application if its
 command is typed in to KRunner and the application is not already
 installed.

Package: kde-thumbnailer-deb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin, konqueror
Description: KDE plugin to show thumbnails of Debian package files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
 packages (.deb files) as thumbnails.

Package: gstreamer-qapt
Architecture: any
Depends: libqapt3-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gstreamer0.10-qapt (<< 3~), gstreamer1.0-qapt (<< 3~)
Breaks: gstreamer0.10-qapt (<< 3~), gstreamer1.0-qapt (<< 3~)
Description: GStreamer plugin to install codecs using QApt
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: gstreamer0.10-qapt
Section: oldlibs
Priority: extra
Architecture: all
Depends: gstreamer-qapt (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: qapt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqapt3 (= ${binary:Version}), ${misc:Depends}
Description: QApt debugging symbols
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.
